//#if !UNITY_EDITOR
using SatorImaging.AppWindowUtility;
using UnityEngine;

namespace View {
	internal static class DisplaySetup {
		[RuntimeInitializeOnLoadMethod(RuntimeInitializeLoadType.BeforeSplashScreen)]
		private static void Setup() {
			AppWindowUtility.AlwaysOnTop = true;
			AppWindowUtility.FrameVisibility = false;

			Vector2Int resolution = new(360, 640);
			AppWindowUtility.ResizeWindowRelative(resolution.x, resolution.y);
		}
	}
}
//#endif